Debian Bug report logs - #543550
RFP: logiweb -- a system for electronic distribution of mathematics

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Klaus Grue <grue@diku.dk>

Date: Tue, 25 Aug 2009 18:54:06 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#543550; Package wnpp. (Tue, 25 Aug 2009 18:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Grue <grue@diku.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Tue, 25 Aug 2009 18:54:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Klaus Grue <grue@diku.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: logiweb -- a system for electronic distribution of mathematics
Date: Tue, 25 Aug 2009 20:48:03 +0200
Package: wnpp
Severity: wishlist
Owner: Klaus Grue <grue@diku.dk>


* Package name    : logiweb
  Version         : 0.2.0
  Upstream Author : Klaus Grue <grue@diku.dk>
* URL             : http://logiweb.eu/doc/0.2.0/download/debian.html
* License         : GPL
  Programming Lang: C
  Description     : a system for electronic distribution of mathematics

Logiweb allows to web publish 'Logiweb pages', i.e.
journal quality articles which contain machine readable objects
like  programs, testsuites, definitions, axioms, lemmas, and
proofs. Among other, Logiweb is suited for literate programming,
for publication of machine verified proofs, and for writing
proof checkers. Logiweb allows Logiweb pages to reference
previously published Logiweb pages such that programs on a page
may call programs on referenced pages, proofs on a page may
reference lemmas on referenced pages, and so on.

-- System Information:
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543550; Package wnpp. (Tue, 22 Sep 2009 07:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Grue <grue@diku.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 22 Sep 2009 07:00:12 GMT) Full text and rfc822 format available.

Message #10 received at 543550@bugs.debian.org (full text, mbox):

From: Klaus Grue <grue@diku.dk>
To: 543550@bugs.debian.org
Subject: New version: 0.2.1
Date: Tue, 22 Sep 2009 08:48:41 +0200 (CEST)
New version: 0.2.1, Wed, 2 Sep 2009 16:22:00 +0200
Package
http://logiweb.eu/0.2/0.2.1/download/debian/logiweb_0.2.1-1_amd64.deb
Description
http://logiweb.eu/0.2/0.2.1/download/debian.html
Package directory
http://logiweb.eu/0.2/0.2.1/download/debian





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543550; Package wnpp. (Tue, 22 Sep 2009 11:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Grue <grue@diku.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 22 Sep 2009 11:51:14 GMT) Full text and rfc822 format available.

Message #15 received at 543550@bugs.debian.org (full text, mbox):

From: Klaus Grue <grue@diku.dk>
To: 543550@bugs.debian.org
Subject: New versions: 0.2.2 and 0.2.3
Date: Tue, 22 Sep 2009 13:45:27 +0200 (CEST)
New version: 0.2.2, Tue, 15 Sep 2009 20:25:55 +0200
Package
http://logiweb.eu/0.2/0.2.2/download/debian/logiweb_0.2.2-1_amd64.deb
Description
http://logiweb.eu/0.2/0.2.2/download/debian.html
Package directory
http://logiweb.eu/0.2/0.2.2/download/debian

New version: 0.2.3, Sun, 20 Sep 2009 15:31:16 +0200
Package
http://logiweb.eu/0.2/0.2.3/download/debian/logiweb_0.2.3-1_amd64.deb
Description
http://logiweb.eu/0.2/0.2.3/download/debian.html
Package directory
http://logiweb.eu/0.2/0.2.3/download/debian





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543550; Package wnpp. (Fri, 18 Dec 2009 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Grue <grue@diku.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 18 Dec 2009 21:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 543550@bugs.debian.org (full text, mbox):

From: Klaus Grue <grue@diku.dk>
To: 543550@bugs.debian.org
Subject: New version: 0.2.5
Date: Fri, 18 Dec 2009 22:17:37 +0100 (CET)
New version: 0.2.5
Package
http://logiweb.eu/1.0/doc/download/debian/logiweb_0.2.5-1_amd64.deb
Description
http://logiweb.eu/1.0/doc/download/debian.html
Package directory
http://logiweb.eu/1.0/doc/download/debian

The new version does not provoke gcc bug
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=37448
and compiles on a 64-bit machine with 1GB RAM.

Previous versions required 2GB RAM and building
was only possible for some versions of gcc.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543550; Package wnpp. (Fri, 08 Jan 2010 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Grue <grue@diku.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 08 Jan 2010 15:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 543550@bugs.debian.org (full text, mbox):

From: Klaus Grue <grue@diku.dk>
To: 543550@bugs.debian.org
Subject: New versions: 0.2.6 and 0.1.10
Date: Fri, 8 Jan 2010 16:42:26 +0100 (CET)
New version: 0.2.6
Package
http://logiweb.eu/1.0/doc/download/debian/logiweb_0.2.6-1_amd64.deb
Description
http://logiweb.eu/1.0/doc/download/debian.html
Package directory
http://logiweb.eu/1.0/doc/download/debian

New version: 0.1.10
HTML URL: http://logiweb.eu/0.1/index.html
Tar ball: http://logiweb.eu/0.1/logiweb-0.1.10.tar.gz

Like for all other versions in the 0.2.x series, Version 0.2.6 contains 
the lgc compiler expressed in the compilers own language. Version 0.1.10 
contains the lgc compiler expressed in CLISP. Version 0.1.10 can be used 
for bootstrapping. The existence of Version 0.1.10 ensures that Logiweb is 
open source software.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#543550; Package wnpp. (Wed, 12 May 2010 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Grue <grue@diku.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 May 2010 19:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 543550@bugs.debian.org (full text, mbox):

From: Klaus Grue <grue@diku.dk>
To: 543550@bugs.debian.org
Subject: New version: 0.2.9-2
Date: Wed, 12 May 2010 21:09:57 +0200 (CEST)
New version: 0.2.9-2

Package
http://logiweb.imm.dtu.dk/1.0/doc/download/debian/logiweb_0.2.9-2_amd64.deb
Description
http://logiweb.eu/1.0/doc/download/debian.html
Package directory
http://logiweb.imm.dtu.dk/1.0/doc/download/debian

http://logiweb.imm.dtu.dk is a mirror of http://logiweb.eu
The mirror has better bandwidth.

Version 0.2.9-2 updates the Debian package according to changes made in 
the Fedora version of the system.

Version 0.2.9-2 builds on Debian/sid and Ubunty/hardy. It builds for both
amd64 and i386. Builds were done in a chroot using pbuilder. It is lintian 
clean.

Version 0.2.8-10 has been included in Fedora stable:
https://bugzilla.redhat.com/show_bug.cgi?id=523715#c73

So has Version 0.2.8-11 (a missing dependency bug fix):
https://bugzilla.redhat.com/show_bug.cgi?id=584729#c4

The main problems that have been solved are:

- Build scripts now do 'ulimit -s unlimited'. Not using ulimit sometimes
prevented the package from building in Debian as well as Fedora.

- Build scripts now do a complete bootstrap based on source only: First 
the Logiweb compiler is compiled by clisp. Then the Logiweb compiler 
compiles itself, leading to the install version of the compiler. It was 
requested by Fedora to build from source only for legal reasons.

For further changes see the changelog.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#543550; Package wnpp. (Mon, 31 May 2010 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Grue <grue@diku.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 31 May 2010 08:33:03 GMT) Full text and rfc822 format available.

Message #35 received at 543550@bugs.debian.org (full text, mbox):

From: Klaus Grue <grue@diku.dk>
To: 543550@bugs.debian.org
Subject: New version: 0.2.11-1
Date: Mon, 31 May 2010 10:30:02 +0200 (CEST)
New version: 0.2.11-1

Package
http://logiweb.imm.dtu.dk/1.0/doc/download/debian/logiweb_0.2.11-1_amd64.deb
Description
http://logiweb.eu/1.0/doc/download/debian.html
Package directory
http://logiweb.imm.dtu.dk/1.0/doc/download/debian

http://logiweb.imm.dtu.dk is a mirror of http://logiweb.eu
The mirror has better bandwidth.

Also uploaded to
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=logiweb

Version 0.2.10-1 has been included in Cygwin. Version 0.2.11-1 contains 
minor additional corrections required by Cygwin.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Klaus Grue <grue@diku.dk>:
Bug#543550; Package wnpp. (Sun, 01 Aug 2010 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Peter Secher <jpsecher@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Klaus Grue <grue@diku.dk>. (Sun, 01 Aug 2010 18:54:06 GMT) Full text and rfc822 format available.

Message #40 received at 543550@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jpsecher@gmail.com>
To: 543550@bugs.debian.org
Subject: logiweb 0.2.11-1
Date: Sun, 01 Aug 2010 20:51:20 +0200
Hi Klaus, the package looks good except for a few couple of things:

 1.  When doing find -type f -exec grep Copyright '{}' ';', there are
 several other copyright notices than "Copyright (C) 2004-2009 Klaus
 Grue".

 1a.  doc/man/man7/logiweb.7 says "Copyright (C) The IETF Trust (2007)"
 and refers to BCP 78, which seems to be
 http://tools.ietf.org/html/bcp78 and looks OK to me wrt. the Debian
 Free Software Guidelines.  But this information must be incorporated
 into debian/copyright in some way; maybe debian-legal can answer how.

 1b.  src/lgwam.c contains RIPEMD-160 code which says "Copyright (c)
 Katholieke Universiteit Leuven" and does not seem to allow
 redistribution and thus cannot be included in the Debian archive.

 2.  The link to the GPL license in debian/copyright should be
 /usr/share/common-licenses/GPL-2.

 3.  The tarball includes a src/dist with eg. executables files.  It
 would be better if it was possible to have a "clean" version of the
 tarball without the src/dist.

 4.  The Standards-Version should be updated to the current version.
 (Don't know if any changes are needed.)

At least point 1 needs to be addressed because otherwise the package
will be rejected, see http://ftp-master.debian.org/REJECT-FAQ.html.

Cheers,
/JP




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Klaus Grue <grue@diku.dk>:
Bug#543550; Package wnpp. (Sun, 01 Aug 2010 18:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Peter Secher <jpsecher@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Klaus Grue <grue@diku.dk>. (Sun, 01 Aug 2010 18:54:08 GMT) Full text and rfc822 format available.

Message #45 received at 543550@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jpsecher@gmail.com>
To: 543550@bugs.debian.org
Subject: logiweb 0.2.11-1
Date: Sun, 01 Aug 2010 20:52:25 +0200
Hi Klaus, the package looks good except for a few couple of things:

 1.  When doing find -type f -exec grep Copyright '{}' ';', there are
 several other copyright notices than "Copyright (C) 2004-2009 Klaus
 Grue".

 1a.  doc/man/man7/logiweb.7 says "Copyright (C) The IETF Trust (2007)"
 and refers to BCP 78, which seems to be
 http://tools.ietf.org/html/bcp78 and looks OK to me wrt. the Debian
 Free Software Guidelines.  But this information must be incorporated
 into debian/copyright in some way; maybe debian-legal can answer how.

 1b.  src/lgwam.c contains RIPEMD-160 code which says "Copyright (c)
 Katholieke Universiteit Leuven" and does not seem to allow
 redistribution and thus cannot be included in the Debian archive.

 2.  The link to the GPL license in debian/copyright should be
 /usr/share/common-licenses/GPL-2.

 3.  The tarball includes a src/dist with eg. executables files.  It
 would be better if it was possible to have a "clean" version of the
 tarball without the src/dist.

 4.  The Standards-Version should be updated to the current version.
 (Don't know if any changes are needed.)

At least point 1 needs to be addressed because otherwise the package
will be rejected, see http://ftp-master.debian.org/REJECT-FAQ.html.

Cheers,
/JP




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#543550; Package wnpp. (Thu, 14 Oct 2010 13:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Grue <grue@diku.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Oct 2010 13:54:06 GMT) Full text and rfc822 format available.

Message #50 received at 543550@bugs.debian.org (full text, mbox):

From: Klaus Grue <grue@diku.dk>
To: 543550@bugs.debian.org
Subject: New version: 0.2.12-1
Date: Thu, 14 Oct 2010 15:25:40 +0200 (CEST)
New version: 0.2.12-1

Package
http://logiweb.imm.dtu.dk/1.0/doc/download/debian/logiweb_0.2.12-1_amd64.deb
Description
http://logiweb.eu/1.0/doc/download/debian.html
Package directory
http://logiweb.imm.dtu.dk/1.0/doc/download/debian

http://logiweb.imm.dtu.dk is a mirror of http://logiweb.eu
The mirror has better bandwidth.

---

Sorry for the long response time. Due to retinal detachment, I have not 
been allowed to watch a computer screen from July 29 to October 11.

---

Version 0.2.12 contains corrections as requested August 1 by Jens Peter 
Secher. Furthermore, about half of the source code has been removed 
without loss of functionality and the package no longer build depends on 
CLISP. Version 0.2.11 essentially contained two, complete implementations 
of the system: a Version 0.2.x, and a Version 0.1.x for compiling version 
0.2.x.

> 1.  When doing find -type f -exec grep Copyright '{}' ';', there are
>  several other copyright notices than "Copyright (C) 2004-2009 Klaus
>  Grue".

That has been corrected. Now everything is Copyright 2004-2010 except as 
noted in the 'copyright' file.

>  1a.  doc/man/man7/logiweb.7 says "Copyright (C) The IETF Trust (2007)"
>  and refers to BCP 78, which seems to be
>  http://tools.ietf.org/html/bcp78 and looks OK to me wrt. the Debian
>  Free Software Guidelines.  But this information must be incorporated
>  into debian/copyright in some way; maybe debian-legal can answer how.

A note on this has been added to the 'copyright' file.

>  1b.  src/lgwam.c contains RIPEMD-160 code which says "Copyright (c)
>  Katholieke Universiteit Leuven" and does not seem to allow
>  redistribution and thus cannot be included in the Debian archive.

The code has been replaced by code which is available on GPL-2+

>  2.  The link to the GPL license in debian/copyright should be
>  /usr/share/common-licenses/GPL-2.

Has been corrected

>  3.  The tarball includes a src/dist with eg. executables files.  It
>  would be better if it was possible to have a "clean" version of the
>  tarball without the src/dist.

Now no files in src/dist are executable. I prefer to keep src/dist since 
it contains information typed in by hand which I think is difficult or 
impossible to generate automatically. The directory was originally named 
dist, but I moved it to src/dist for the sake of the Debian policy on 
this.

>  4.  The Standards-Version should be updated to the current version.
>  (Don't know if any changes are needed.)

Has been done. No changes seem to be needed.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Klaus Grue <grue@diku.dk>:
Bug#543550; Package wnpp. (Wed, 27 Jul 2011 16:30:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Klaus Grue <grue@diku.dk>. (Wed, 27 Jul 2011 16:30:00 GMT) Full text and rfc822 format available.

Message #55 received at 543550@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 543550@bugs.debian.org
Cc: control@bugs.debian.org
Subject: logiweb: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 543550 RFP: logiweb -- a system for electronic distribution of mathematics
noowner 543550
thanks

Hi,

This is an automatic email to change the status of logiweb back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting logiweb, please send a mail to
<control@bugs.debian.org> with:

 retitle 543550 ITP: logiweb -- a system for electronic distribution of mathematics
 owner 543550 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <543550@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: logiweb -- a system for electronic distribution of mathematics' from 'ITP: logiweb -- a system for electronic distribution of mathematics' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:49:47 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Klaus Grue <grue@diku.dk>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:49:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:29:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.